$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.1-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.29.1-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D451A1C2BFAD5B5B105D9036AD4427D801687B835D152650F9914A846284984F'
  checksumType = 'sha256'
  checksum64 = 'D451A1C2BFAD5B5B105D9036AD4427D801687B835D152650F9914A846284984F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.29.1-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
